from django.contrib import admin
from .models import FacebookPage, FacebookReview


class FacebookPageAdmin(admin.ModelAdmin):
    fields = ('id', 'name', 'token', 'location')
    list_display = ('id', 'name', 'location', 'token')
    readonly_fields = ('id', 'token')
    search_fields = ('name', 'id',)


class FacebookReviewAdmin(admin.ModelAdmin):
    fields = ('id', 'review_text', 'recommendation_type', 'create_time',)
    list_display = ('id', 'page', 'recommendation_type', 'review_text', 'create_time')
    list_filter = ['page', 'recommendation_type']
    ordering = ['-create_time']


admin.site.register(FacebookPage, FacebookPageAdmin)
admin.site.register(FacebookReview, FacebookReviewAdmin)
